Skip to main content
GET
List seller breaks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Search seller breaks by id or comment

filter[id]
string

Filter by break ID.

Example:

"3,6,9"

filter[mode]
enum<string>

Filter by break mode.

Available options:
disable_all,
disable_manual_allow_instant,
allow_all_with_reservation
Example:

"disable_all"

filter[active]
boolean

Filter by active (true) or ended (false) breaks.

filter[started_at]
string

Filter by started at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[ended_at]
string

Filter by ended at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[created_at]
string

Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[updated_at]
string

Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2025-10-05"

sort
enum<string>
default:-started_at

Sort by field. Prefix with - for descending order.

Available options:
id,
-id,
started_at,
-started_at,
ended_at,
-ended_at,
created_at,
-created_at,
updated_at,
-updated_at
Example:

"-started_at"

per_page
integer
default:15

Items per page (max 50)

Required range: 1 <= x <= 50

Response

A paginated list of seller breaks

data
object[]
meta
object